linux-lts-raring: 3.8.0-33.48~precise1 -proposed tracker

Bug #1243887 reported by Brad Figg on 2013-10-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Steve Conklin
Prepare-package-signed
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-33.48~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 23. October 2013 19:07 UTC
kernel-stable-master-bug:1242849
kernel-stable-Prepare-package-end:Thursday, 24. October 2013 23:59 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 24. October 2013 23:59 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. October 2013 04:03 UTC
kernel-stable-Verification-testing-start:Friday, 25. October 2013 05:06 UTC
kernel-stable-Certification-testing-start:Friday, 25. October 2013 05:06 UTC
kernel-stable-Security-signoff-start:Friday, 25. October 2013 05:06 UTC
kernel-stable-Regression-testing-start:Friday, 25. October 2013 05:06 UTC
kernel-stable-Security-signoff-end:Monday, 28. October 2013 23:04 UTC
kernel-stable-Regression-testing-end:Tuesday, 29. October 2013 03:03 UTC
kernel-stable-Verification-testing-end:Tuesday, 05. November 2013 22:03 UTC
kernel-stable-Certification-testing-end:Wednesday, 06. November 2013 09:03 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 06. November 2013 11:03 UTC
kernel-stable-Promote-to-updates-end:Friday, 08. November 2013 02:05 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 08. November 2013 04:05 UTC

Brad Figg (brad-figg) on 2013-10-23
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and -signed built.

Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2013-10-25
description: updated
Brad Figg (brad-figg) on 2013-10-25
description: updated

Hardware Certification have begun testing this -proposed kernel.

John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-10-28
description: updated
Paul Larson (pwlars) on 2013-10-29
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-10-29
description: updated
Brad Figg (brad-figg) on 2013-11-05
description: updated

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.11.0-13.20~precise2/precise-3.11-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-11-06
description: updated
Brad Figg (brad-figg) on 2013-11-06
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (8.9 KiB)

This bug was fixed in the package linux-lts-raring - 3.8.0-33.48~precise1

---------------
linux-lts-raring (3.8.0-33.48~precise1) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1243887

  [ Maximiliano Curia ]

  * SAUCE: (no-up) Only let characters through when there are active
    readers.
    - LP: #1208740

  [ Upstream Kernel Changes ]

  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
  * mount: consolidate permission checks
    - LP: #1226726
  * get rid of full-hash scan on detaching vfsmounts
    - LP: #1226726
  * Smack: Fix the bug smackcipso can't set CIPSO correctly
    - LP: #1236743
  * ipvs: add backup_only flag to avoid loops
    - LP: #1238494
  * tuntap: correctly handle error in tun_set_iff()
    - LP: #1229975
    - CVE-2013-4343
  * htb: fix sign extension bug
    - LP: #1240580
  * net: avoid to hang up on sending due to sysctl configuration overflow.
    - LP: #1240580
  * net: check net.core.somaxconn sysctl values
    - LP: #1240580
  * macvlan: validate flags
    - LP: #1240580
  * neighbour: populate neigh_parms on alloc before calling ndo_neigh_setup
    - LP: #1240580
  * bonding: modify only neigh_parms owned by us
    - LP: #1240580
  * fib_trie: remove potential out of bound access
    - LP: #1240580
  * bridge: don't try to update timers in case of broken MLD queries
    - LP: #1240580
  * tcp: cubic: fix overflow error in bictcp_update()
    - LP: #1240580
  * tcp: cubic: fix bug in bictcp_acked()
    - LP: #1240580
  * ipv6: don't stop backtracking in fib6_lookup_1 if subtree does not
    match
    - LP: #1240580
  * 8139cp: Fix skb leak in rx_status_loop failure path.
    - LP: #1240580
  * tun: signedness bug in tun_get_user()
    - LP: #1240580
  * ipv6: remove max_addresses check from ipv6_create_tempaddr
    - LP: #1240580
  * ipv6: Store Router Alert option in IP6CB directly.
    - LP: #1240580
  * ipv6: drop packets with multiple fragmentation headers
    - LP: #1240580
  * tcp: set timestamps for restored skb-s
    - LP: #1240580
  * net: usb: Add HP hs2434 device to ZLP exception table
    - LP: #1240580
  * tcp: initialize rcv_tstamp for restored sockets
    - LP: #1240580
  * ipv4: sendto/hdrincl: don't use destination address found in header
    - LP: #1240580
  * tcp: tcp_make_synack() should use sock_wmalloc
    - LP: #1240580
  * tipc: set sk_err correctly when connection fails
    - LP: #1240580
  * net: bridge: convert MLDv2 Query MRC into msecs_to_jiffies for
    max_delay
    - LP: #1240580
  * ICMPv6: treat dest unreachable codes 5 and 6 as EACCES, not EPROTO
    - LP: #1240580
  * tg3: Don't turn off led on 5719 serdes port 0
    - LP: #1240580
  * vhost_net: poll vhost queue after marking DMA is done
    - LP: #1240580
  * net: ipv6: tcp: fix potential use after free in tcp_v6_do_rcv
    - LP: #1240580
  * drm/radeon/si: Add support for CP DMA to CS checker for compute v2
    - LP: #1240580
  * sfc: Fix efx_rx_buf_offset() for recycled pages
    - LP: #1240580
  * cfq: explicitly use 64bit divide operation for 64bit arguments
  ...

Read more...

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-11-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers